/* lifeio.h: Functions provided by lifeio.c.				*/
/*									*/
/* (C) 1997 by Brian Raiter, under the terms of the GNU General Public	*/
/* License ver. 2 (or any later version, if you like).			*/

#ifndef	__LIFEIO_H__
#define	__LIFEIO_H__


/* Copy the Life world to the clipboard. */
extern BOOL WorldToClipboard(LPWORLD lpWorld, int cxWorld, int cyWorld);

/* Paste the clipboard contents into the Life world. */
extern BOOL ClipboardToWorld(LPWORLD lpWorld, LPINT lpcxWorld,
			     LPINT lpcyWorld);

/* Write the Life world out to a file. */
extern BOOL WorldToFile(HFILE hfile, UINT nFileType, LPWORLD lpWorld,
			int cxWorld, int cyWorld);

/* Read a file into the Life world. */
extern BOOL FileToWorld(LPWORLD lpWorld, LPINT lpcxWorld, LPINT lpcyWorld,
			HFILE hfile, UINT nFileType);


#endif	/* __LIFEIO_H__ */
